function get_lz_str(zdy_sys)
{
var s="",sub_s="",s1="",s2=""; 
sub_s="25<.>"+lang4("_bar_add")+"<.>divWin_open(fileName.value,'','',window)<.>../img/32x32_y.gif?0,0<.>../img/16x16_y.gif?0,0";
s1="a<||>"+lang4("_bar_add")+"<||>"+sub_s+"<|||>";
sub_s="24<.>起草申请<.>add_shenPi(window)<.>../img/32x32_y.gif?0,0<.>../img/16x16_y.gif?0,0";
s2+="!<||>起草申请<||>"+sub_s+"<|||>";
sub_s="22<.>文件上传<.>up_file(window)<.>../img/32x32_y.gif?0,0<.>../img/16x16_y.gif?0,0";
s2+="u<||>文件上传<||>"+sub_s+"<|||>";
sub_s="21<.>撰写消息<.>divWin_open(fileName.value,'','',window)<.>../img/32x32_y.gif?0,0<.>../img/16x16_y.gif?0,0";
s2+="W<||>撰写消息<||>"+sub_s+"<|||>";
sub_s="22<.>批量添加<.>but_piLian_add(window)<.>../img/32x32_y.gif?0,-50<.>../img/16x16_y.gif?0,0";
s2+="A<||>批量添加<||>"+sub_s+"<|||>";
sub_s="91<.>群呼号码<.>call_tels(window)<.>../img/32x32_y.gif?0,-1800<.>../img/16x16_y.gif?0,-680";
s2+="G<||>群呼号码<||>"+sub_s+"<|||>";
sub_s="52<.>"+lang4("_bar_open")+"<.>but_open();<.>../img/32x32_y.gif?0,-552<.>../img/16x16_y.gif?0,-220";
s1+="r<||>"+lang4("_bar_open")+"<||>"+sub_s+"<|||>"; 
sub_s="67<.>"+lang4("_bar_save")+"<.>but_save()<.>../img/32x32_y.gif?0,-500<.>../img/16x16_y.gif?0,-200";
s1+="M<||>"+lang4("_bar_save")+"<||>"+sub_s+"<|||>"; 
sub_s="27<.>"+lang4("_bar_Refresh")+"<.>but_refresh();<.>../img/32x32_y.gif?0,-100<.>../img/16x16_y.gif?0,-40";
s1+="%<||>"+lang4("_bar_Refresh")+"<||>"+sub_s+"<|||>";
sub_s="28<.>刷新模块<.>but_refresh(1);<.>../img/32x32_y.gif?0,-100<.>../img/16x16_y.gif?0,-40";
s1+="*<||>刷新模块<||>"+sub_s+"<|||>";
sub_s="23<.>"+lang4("_bar_search")+"<.>s_h_sou_bar()<.>../img/32x32_y.gif?0,-450<.>../img/16x16_y.gif?0,-160";
s1+="#<||>"+lang4("_bar_search")+"<||>"+sub_s+"<|||>"; 
sub_s="1<.>"+lang4("_bar_del")+"<.>but_del()<.>../img/32x32_y.gif?0,-1500<.>../img/16x16_y.gif?0,-60";
s1+="d<||>"+lang4("_bar_del")+"<||>"+sub_s+"<|||>"; 
sub_s="1<.>"+lang4("_bar_share")+"<.>but_share()<.>../img/32x32_y.gif?0,-350<.>../img/16x16_y.gif?0,-140";
s1+="s<||>"+lang4("_bar_share")+"<||>"+sub_s+"<|||>"; 
sub_s="1<.>"+lang4("_bar_call_of_share")+"<.>but_unShare()<.>../img/32x32_y.gif?0,-1350<.>../img/16x16_y.gif?0,-523";
s1+="S<||>"+lang4("_bar_call_of_share")+"<||>"+sub_s+"<|||>";  
sub_s="30<.>"+lang4("_bar_batch_processing")+"<.>batch()";
sub_s+="<.>../img/32x32_y.gif?0,-600<.>../img/16x16_y.gif?0,-240";
s1+="B<||>"+lang4("_bar_batch_processing")+"<||>"+sub_s+"<|||>";   
sub_s="31<.>记录查重<.>check_chongFu()";
sub_s+="<.>../img/32x32_y.gif?0,-1550<.>../img/16x16_y.gif?0,-600";
s1+="F<||>记录查重<||>"+sub_s+"<|||>";   
sub_s="32<.>合并<.>record_heBing()";
sub_s+="<.>../img/32x32_y.gif?0,-1850<.>../img/16x16_y.gif?0,-740";
s1+="H<||>合并<||>"+sub_s+"<|||>";   
sub_s="9<.>邮件群发<.>open_dialog('send_email_n.htm',700,580,1)<.>../img/32x32_y.gif?0,-650<.>../img/16x16_y.gif?0,-260";
s1+="w<||>邮件群发<||>"+sub_s+"<|||>";
sub_s="74<.>短信群发<.>open_dialog('send_dx_n.htm',300,580,1)<.>../img/32x32_y.gif?0,-1400<.>../img/16x16_y.gif?0,-540";
s1+="h<||>短信群发<||>"+sub_s+"<|||>";
sub_s="53<.>从csv导入<.>but_db_from('csv')<.>../img/32x32_y.gif?0,-1150<.>../img/16x16_y.gif?0,-440<|>";
sub_s+="54<.>"+lang4("_bar_kuaisu")+"<.>but_db_from('kuaisu')<.>../img/32x32_y.gif?0,-1150<.>../img/16x16_y.gif?0,-440<|>";
sub_s+="55<.>"+lang4("_bar_Excel")+"<.>but_db_from('xls')<.>../img/32x32_y.gif?0,-1150<.>../img/16x16_y.gif?0,-440<|>";
sub_s+="56<.>"+lang4("_bar_access")+"<.>but_db_from('mdb')<.>../img/32x32_y.gif?0,-700<.>../img/16x16_y.gif?0,-280";
s1+="i<||>"+lang4("_bar_leading_in_record")+"<||>"+sub_s+"<|||>"; 
sub_s="57<.>"+lang4("_bar_Excels")+"<.>but_db_to('xls','"+lang4("_bar_Excels")+"')<.>../img/32x32_y.gif?0,-750<.>../img/16x16_y.gif?0,-300<|>";
sub_s+="57.1<.>导出为csv表格<.>but_db_to('csv','导出为csv表格')<.>../img/32x32_y.gif?0,-750<.>../img/16x16_y.gif?0,-300<|>";
sub_s+="58<.>"+lang4("_bar_Accesss")+"<.>but_db_to('mdb','"+lang4("_bar_Accesss")+"')<.>../img/32x32_y.gif?0,-1200<.>../img/16x16_y.gif?0,-460<|>";
sub_s+="59<.>"+lang4("_bar_word")+"<.>but_db_to('doc','"+lang4("_bar_word")+"')<.>../img/32x32_y.gif?0,-1300<.>../img/16x16_y.gif?0,-500<|>";
sub_s+="60<.>"+lang4("_bar_htm")+"<.>but_db_to('htm','"+lang4("_bar_htm")+"')<.>../img/32x32_y.gif?0,-1250<.>../img/16x16_y.gif?0,-480";
s1+="o<||>"+lang4("_bar_derive_record")+"<||>"+sub_s+"<|||>"; 
sub_s="71<.>"+lang4("_bar_present_content")+"<.>s_h_curContent_bar()<.>../img/32x32_y.gif?0,-400<.>../img/16x16_y.gif?0,-180";
s1+="`<||>"+lang4("_bar_present_content")+"<||>"+sub_s+"<|||>"; 
sub_s="72<.>"+lang4("_bar_data_transfer")+"<.>batch_mod_user()<.>../img/32x32_y.gif?0,-950<.>";
sub_s+="../img/16x16_y.gif?0,-360";
s1+="f<||>"+lang4("_bar_data_transfer")+"<||>"+sub_s+"<|||>";
sub_s="11<.>报表<.>but_baobiao()<.>";
sub_s+="../img/32x32_y.gif?0,-800<.>../img/16x16_y.gif?0,-320";
s1+="b<||>报表<||>"+sub_s+"<|||>";
sub_s="61<.>快速打印列表<.>main_print()<.>../img/32x32_y.gif?0,-200<.>../img/16x16_y.gif?0,-80<|>";
sub_s+="61.1<.>高级打印列表<.>main_print(1)<.>../img/32x32_y.gif?0,-200<.>../img/16x16_y.gif?0,-80<|>";
sub_s+="61.2<.>模板打印列表<.>main_print(2)<.>../img/32x32_y.gif?0,-200<.>../img/16x16_y.gif?0,-80<|>";
sub_s+="61.2<.>批量打印窗口<.>main_print(3)<.>../img/32x32_y.gif?0,-200<.>../img/16x16_y.gif?0,-80";
s1+="p<||>打印<||>"+sub_s+"<|||>";
sub_s="50<.>"+lang4("_bar_recycle_bin")+"<.>but_recycler('in')<.>";
sub_s+="../img/32x32_y.gif?0,-850<.>../img/16x16_y.gif?0,-340";
s1+=")<||>"+lang4("_bar_recycle_bin")+"<||>"+sub_s+"<|||>";
sub_s="13<.>"+lang4("_bar_Delete")+"<.>but_del_del()<.>";
sub_s+="../img/32x32_y.gif?0,-300<.>../img/16x16_y.gif?-0,-120";
s1+="D<||>"+lang4("_bar_Delete")+"<||>"+sub_s+"<|||>";
sub_s="12<.>"+lang4("_bar_All_empty")+"<.>but_delAll()<.>";
sub_s+="../img/32x32_y.gif?0,-1100<.>../img/16x16_y.gif?0,-420";
s1+="C<||>"+lang4("_bar_Empty")+"<||>"+sub_s+"<|||>";
sub_s="14<.>"+lang4("_bar_Reduction")+"<.>but_reback()<.>../img/32x32_y.gif?0,-900<.>../img/16x16_y.gif?0,-700";
s1+="U<||>"+lang4("_bar_Reduction")+"<||>"+sub_s+"<|||>";
sub_s="73<.>"+lang4("_bar_Return")+"<.>but_recycler('out')<.>";
sub_s+="../img/32x32_y.gif?0,-1000<.>../img/16x16_y.gif?0,-380";
s1+="(<||>"+lang4("_bar_Return")+"<||>"+sub_s+"<|||>";
sub_s="79<.>修改日志<.>but_show_mod_log()<.>../img/32x32_y.gif?0,-1650<.>";
sub_s+="../img/16x16_y.gif?0,-700";
s1+="t<||>修改日志<||>"+sub_s+"<|||>";
if(user_purview==3)
{
sub_s="77<.>"+lang4("_bar_various_manage")+"<.>open_dialog('column_manage.htm?fileName='+fileName.value,1000,600);<.>";
sub_s+="../img/32x32_y.gif?0,-250<.>../img/16x16_y.gif?0,-100";
s1+="|<||>"+lang4("_bar_various_manage")+"<||>"+sub_s+"<|||>";
}
if(zdy_sys=='teShu')
{s=s2+s1	}
else if(zdy_sys=='changYong')
{s=s2+s1	}
else
{
s=s2+s1	
}
return s;
}
function gf(f)
{
if(!f)var f=giv('fileName');
var subMk=gid('frame_subMk');
if(subMk && subMk.style.display!='none')
{
return frame_subMk
}else
{
return get_win("main_frame_"+f);
}
}
function is_sel()
{
var id_chks=gf().document.getElementsByName("id");
var i,j=0;
for(i=0;i<id_chks.length;i++)
{
if(id_chks[i].checked)
{
j++;	
}
}
if(j==0)
{
return false;
}
else
{
return true;
}
}
function get_sel_ids()
{
var ids="",i;
var id_chks=gf().document.getElementsByName("id");
for(i=0;i<id_chks.length;i++)
{
if(id_chks[i].checked)
{
ids+=id_chks[i].value+",";	
}
}
return ids;
}
function execute(exe,str)
{
if(!is_sel())
{
alert(lang4('_No_operation_object'));
return;
}
execute_sub(exe,str);
}
function execute_sub(exe,str)
{
if(!str)
{
var form=gf().id_form;
form.action='../'+asp_php+'/execute.'+asp_php+'?fileName='+_gId('fileName').value+'&exe='+exe;
form.submit();	
return;
}
if(confirm(str))
{
var form=gf().id_form;
form.action='../'+asp_php+'/execute.'+asp_php+'?fileName='+_gId('fileName').value+'&exe='+exe;
form.submit();
}	
}
function batch()
{
var fn=gid('fileName').value;
open_dialog('batch.htm?fileName='+fn,600,350,1)
}
function check_chongFu()
{
var fn=gid('fileName').value;
var url="../"+asp_php+"/check_chongFu."+asp_php+"?fileName="+fn;
url=htmurl(url);
open_dialog('dialog.htm?go='+url,600,350,1)
}
function record_heBing()
{
var fn=gid('fileName').value;
var url="../"+asp_php+"/record_heBin."+asp_php+"?fileName="+fn;
url=htmurl(url);
open_dialog('dialog.htm?go='+url,600,350,1)
}
function batch_mod_user()
{
var fn=_gId('fileName').value;
parent.open_dialog('batch_sub.htm?fileName='+fn+'&col=user&title='+lang4("_Data_transfer")+'：',600,350,1)
}
function but_save()
{
var form=gf().workFrame.form1;
form.action='../'+asp_php+'/execute.'+asp_php+'?fileName='+_gId('fileName').value+'&exe=save_tds';
form.submit();	
return;
}
function but_del()
{
execute("del",lang4("_Delete_selected_records"));
}
function but_share()
{
if(is_sel())
{
var ids=get_sel_ids();
var fn=_gId('fileName').value;
window.showModalDialog('share_record.htm?ids='+ids+'&fileName='+fn,window,'resizable:yes;status:no;help:no;dialogHeight:380px;dialogWidth:200px');
}
else
{
alert(lang4('_No_operation_object'));	
}
}
function call_tels()
{
var fn=_gId('fileName').value;
parent.open_dialog('tel_calls.htm?fileName='+fn,1000,600,1)
}
function share_or_esc(result,typ)
{
if(result=="")return;
var chk_ids=gf().document.getElementsByName("id");
result=result+",";
for(var i=0;i<chk_ids.length;i++)
{
if(result.indexOf(","+chk_ids[i].value+",")>-1)
{
if(typ==1) 
{
chk_ids[i].parentNode.className="td0_share_1";
chk_ids[i].parentNode.title=""+lang4('_Read_only_shared')+"";
}
else if(typ==2) 
{
chk_ids[i].parentNode.className="td0_share_2";
chk_ids[i].parentNode.title=""+lang4('_Complete_sharing')+"";
}
else
{
chk_ids[i].parentNode.className="td0_share_0";
chk_ids[i].parentNode.title="";	
}
}
}
}
function but_unShare()
{
execute("share_esc");	
}
function but_refresh(typ)
{
var win=gf();
if(!win){alert('刷新失败');return;}
var k=gid('keyword',win);
if(k)k.value="";
var del=gid('del',win);
if(typ==1)
{
var old=win.document.location.href;
if(old.indexOf("#")>-1){old=old.split("#")[0]}
if(old.indexOf("&cur_time=")>-1){old=old.split("&cur_time=")[0]}
var cur_time="cur_time="+new Date().toLocaleString();
var new_url=(old.indexOf("?")>-1)?(old+"&"+cur_time):(old+"?"+cur_time);
win.document.location.href=new_url;		
}
else
{
main_submit_page_and_shai(win);
}
}
function but_recycler(in_or_out)
{
var s=",D,C,U,(,%,"; 
var but_bar=_gId("tool_bar_tr");
var Ps=_gId("tool_bar_tr");
var b="",win=gf();
win.shai_form.reset();
if(_gId("top_keyWord"))_gId("top_keyWord").value="";
if(in_or_out=="in") 
{
b="s.indexOf(','+but_id+',')>-1";
_gId("del",win).value=1; 
}
else
{
b="s.indexOf(','+but_id+',')<0";
_gId("del",win).value=0;
}
for(var i=0;i<but_bar.cells.length;i++)
{
var but=but_bar.cells[i];
var but_id=but.id.split("_")[1];
if(but.cur_mk=='y')
{
if(eval(b) || but_id=='%') 
{
but.style.display=''	
}
else 
{
but.style.display='none';
}
}
}
main_submit_page_and_shai(win);
}
function but_reback()
{
execute("undel",lang4("_restore_records"));	
but_recycler('out');
}
function but_delAll()
{
execute_sub("del_all",lang4("_empty_recycle"));
but_recycler('out');
}
function but_del_del()
{
execute("del_del",lang4("_Delete_selected_records"));
}
function but_db_from(in_db_type)
{
if(in_db_type=="kuaisu")
{
main_tr_news(giv('fileName'));
}
else
{
window.showModalDialog('db_from.htm?in_db_type='+in_db_type+'&fileName='+giv('fileName'),window,'status:no;help:no;dialogWidth:1000px;dialogHeight:700px')
}
}
function but_db_to(to_db_type,title)
{
window.showModelessDialog('db_to.htm?to_db_type='+to_db_type+'&fileName='+giv('fileName')+"&title="+title,window,'status:no;help:no;dialogWidth:720px;dialogHeight:300px;resizable:yes')
}
function print_list_from_mb()
{
window.showModelessDialog('db_to.htm?to_db_type=print_list_from_mb&fileName='+giv('fileName')+"&title=从模板打印",window,'status:no;help:no;dialogWidth:720px;dialogHeight:300px;resizable:yes')
}
function but_open()
{
var id=get_sel_ids().split(",")[0];
if(id!="")
{
main_tr_edit(id,gf());	
}
else
{
alert(lang4('_No_operation_object'));	
}
}
function but_baobiao()
{
show_module("f000000","报表",1,"self[@]../main/baobiao.htm?fileName="+giv('fileName')+"[@]window[@]c",0)
}
function but_show_mod_log()
{
open_dialog('show_modify_record.htm?fileName='+gid('fileName').value,800,558,1);
}
function but_piLian_add(win)
{
var f=win.fileName.value
var par_fn=request("parent_fileName",win);
var par_id=request("parent_id",win);
if (win.document.location.href.indexOf("index.htm")>-1&&par_fn=="")
{
var main_frame=gf(f)
par_fn=request("parent_fileName",main_frame);
par_id=request("parent_id",main_frame);
}
win.showModalDialog('select_record_more.htm?fileName='+f+'&parent_fileName='+par_fn+"&parent_id="+par_id,win,'status:no;help:no;dialogWidth:620px;dialogHeight:400px;resizable:yes')
}
function but_piLian_guanLian(win)
{
var f=win.fileName.value
var par_fn=request("parent_fileName",win);
var par_id=request("parent_id",win);
win.showModalDialog('guanLian_record_more.htm?fileName='+f+'&parent_fileName='+par_fn+"&parent_id="+par_id,win,'status:no;help:no;dialogWidth:620px;dialogHeight:400px;resizable:yes')	
}
function but_jieChu_guanLian(win)
{
var form=gf().id_form;
var par_fn=request("parent_fileName",win);
var f=win.fileName.value;
form.action='../'+asp_php+'/execute.'+asp_php+'?fileName='+f+'&parent_fileName='+par_fn+'&exe=jieChu_guanLian';
form.submit();
}
function s_h_sou_bar(jt,win)
{
if(!win)
{
var win=get_win('main_frame_'+fileName.value);
if(!win)return;
}
if(!jt)var jt=_gId('sou_bar_jt_span',win)
var sou_bar=_gId('sou_bar_tr',win);
if(sou_bar && sou_bar.style.display=="none")
{
jt.style.backgroundPosition="0px -20px";
jt.title="隐藏搜索栏";
sou_bar.style.display='';
var v="show";
}
else
{
jt.style.backgroundPosition="0px -40px";
jt.title="显示搜索栏";
sou_bar.style.display='none';
var v="hidden";
}
main_reSize(win);
gid('frame_blank',win).src='../'+asp_php+'/execute.'+asp_php+'?exe=save_my_config&tag=souBar_show&value='+v;
tf.souBar_show=v;
}
function s_h_curContent_bar(jt,win)
{
if(!win)
{
var win=get_win('main_frame_'+fileName.value);
if(!win)return;
}
if(!jt)var jt=_gId('curContent_bar_jt_span',win)
var cur_bar=_gId('tb_fx',win);
if(cur_bar && cur_bar.style.display=="none")
{
jt.style.backgroundPosition="0px -20px";
jt.title="隐藏当前内容栏";
cur_bar.style.display='';
var v="show";
}
else
{
jt.style.backgroundPosition="0px -40px";
jt.title="显示当前内容栏";
cur_bar.style.display='none';
var v="hidden";
}
main_reSize(win);
var url='../'+asp_php+'/execute.'+asp_php+'?exe=save_my_config&tag=curContentBar_show&value='+v;
_gId('frame_blank',win).src=url;
}
function main_print(typ)
{
var f=giv('fileName');
if(typ==1)
{
but_db_to('print','打印')
}
else if(typ==2)
{
print_list_from_mb()
}else if(typ==3)
{
but_db_to('mbwin','打印')
}
else
{
var url='main_print.htm?fileName='+f;
open_dialog(url,800,600,0,gf().workFrame);
}
}